#include "lib.hpp"
#include <iostream>

// Do not abuse the following line, that allows you to remove "std::" before standard library calls.
// It may cause confusion between standard library calls and your own functions.
// using namespace std;

int main(int argc, char *argv[])
{
    // argc = number of command line arguments
    std::cout << "argc == " << argc << '\n';

    // argv = the command line arguments
    for (int i = 0; i < argc; i++)
    {
        std::cout << "argv[" << i << "] == " << argv[i] << '\n';
    }

    print_hello_world(); // Call inline function from lib.hpp

    MyClass instance("This is a message");

    instance.say_message();
}